--
-- @Authors of original scripts used: Manuel Leithner (SFM-Modding),Modelleicher (www.schwabenmodding.bplaced.net),Templaer, JoXXer, Knagsted, Mofa-Killer, Face, Heady, other do not remember!!
-- Upraveno tým AgroSketch pro použití v John Deere 8R a 7R

StartAnim = {};
function StartAnim.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;
function StartAnim:load(savegame)
    ---------------------Zobrazeni po startu---------------------
    self.StartAnim = {};
	self.StartAnim.DSP = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.StartAnim#DSP"));
	self.StartAnim.Monitor1 = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.StartAnim#Monitor1"));
	self.StartAnim.Monitor2 = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.StartAnim#Monitor2"));
end;
function StartAnim:delete()

end;
function StartAnim:readStream(streamId, connection)
end;
function StartAnim:writeStream(streamId, connection)
end;
function StartAnim:readUpdateStream(streamId, timestamp, connection)
    if connection:getIsServer() then
        if streamReadBool(streamId) then
        end;
    end;
end;
function StartAnim:writeUpdateStream(streamId, connection, dirtyMask)
    if not connection:getIsServer() then
        if streamWriteBool(streamId, bitAND(dirtyMask, self.vehicleDirtyFlag) ~= 0) then
        end;
    end;
end;
function StartAnim:mouseEvent(posX, posY, isDown, isUp, button)
end;


function StartAnim:keyEvent(unicode, sym, modifier, isDown)
end;
function StartAnim:update(dt)
end;

function StartAnim:updateTick(dt)
    ---------------------Zobrazeni po startu---------------------
    if self:getIsActive() then
        if self.isMotorStarted then
            setVisibility( self.StartAnim.DSP, true );
			setVisibility( self.StartAnim.Monitor1, true );
			setVisibility( self.StartAnim.Monitor2, true );
        else
            setVisibility( self.StartAnim.DSP, false );
			setVisibility( self.StartAnim.Monitor1, false );
			setVisibility( self.StartAnim.Monitor2, false );
        end;
    end;
end;
function StartAnim:draw()
end;
